package com.hxhq.business.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.hxhq.common.core.domain.MpBaseEntity;


/**
 * 试验-饲养间更换笼具记录对象 t_study_room_history
 *
 * @author HanLong
 * @date 2026-01-07
 */
@TableName("t_study_room_history")
public class StudyRoomHistory extends MpBaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 饲养间id */
    private Long studyRoomId;

    /** 更换前笼具 */
    private String ljOld;

    /** 更换后笼具 */
    private String lj;

    /** 启用人id */
    private Long qyrId;

    /** 启用人名称 */
    private String qyrMc;


    public void setStudyRoomId(Long studyRoomId)
    {
        this.studyRoomId = studyRoomId;
    }

    public Long getStudyRoomId()
    {
        return studyRoomId;
    }

    public void setLjOld(String ljOld)
    {
        this.ljOld = ljOld;
    }

    public String getLjOld()
    {
        return ljOld;
    }

    public void setLj(String lj)
    {
        this.lj = lj;
    }

    public String getLj()
    {
        return lj;
    }

    public void setQyrId(Long qyrId)
    {
        this.qyrId = qyrId;
    }

    public Long getQyrId()
    {
        return qyrId;
    }

    public void setQyrMc(String qyrMc)
    {
        this.qyrMc = qyrMc;
    }

    public String getQyrMc()
    {
        return qyrMc;
    }

}
